2009-12-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.81 released.

2009-12-19  Michael Kifer <kifer@cs.stonybrook.edu>
	
	* ediff-patch.el (ediff-context-diff-label-regexp): regexp fix from the
	emacs tree.
	
2009-12-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.80 released.

2009-12-07  Michael Kifer <kifer@cs.stonybrook.edu>
	
	* ediff-init.el (ediff-event-key): use event-to-character instead of
	event-key.
	
	* ediff-mult.el (ediff-setup-meta-map, ediff-prepare-meta-buffer): add
	menus to the meta mode. (Dan Nicolaescu's <dann@ics.uci.edu> patch.)
	
	* ediff.el (ediff-buffers-internal): add unwind-protect.
	
	* ediff-util.el (ediff-minibuffer-with-setup-hook): new macro from
	Emacs tree.
	(ediff-read-file-name): use that macro.
	
2009-11-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.79 released.

2009-11-26  Adrian Aichner  <adrian@xemacs.org>

	* ediff.el (ediff-buffers-internal): Delete temporary files in
	case of non-local exit, like C-g (keyboard-quit), as well.
	* ediff.el (ediff-regions-internal): Ditto.

2009-11-26  Michael Kifer <kifer@cs.stonybrook.edu>
	
	* ediff-init.el, ediff-mult.el, ediff-util.el: relpace
	last-command-char and last-command-event with (ediff-last-command-char) everywhere.
	
	* ediff.el (ediff-version): revert change made in Emacs tree.
	
	* ediff-menu.el: use purecopy in Emacs menus.
	
	* ediff-diff.el, ediff-merge.el, ediff-mult.el, ediff-util.el,
	ediff.el, ediff-vers.el: use with-current-buffer instead of
	save-excursion/set-buffer whenever possible. Other cosmetic changes
	from the Emacs tree.
	
	* ediff-mult.el: apply Dan Nicolaescu's patch that adds a menu in
	ediff-meta mode.
	
2009-08-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.78 released.

2009-08-15  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-init.el (ediff-coding-system): use escape-quoted in case of
	XEmacs.
	
	* ediff-merg.el (ediff-merge-region-is-non-clash-to-skip,
	ediff-merge-region-is-non-clash,
	ediff-skip-merge-region-if-changed-from-default-p): use defun.
	Also check if the job is really a merge job.
	
	* ediff.el (ediff-current-file): new function.
	
	* Changes from the Emacs main trunk.
	
2008-12-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.77 released.

2008-11-22  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-hook.el: added tooltips to Emacs menus.
	
	* ediff.el: changed date of last update.
	
2008-11-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.76 released.

2008-11-06  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-toggle-multiframe): Check if control window is
	live.
	(ediff-save-buffer): Let window-min-height to 2.
	
	* ediff-wind.el (ediff-setup-windows-plain-compare): Avoid selecting
	the minibuffer.
	
	* ediff*.el, ediff.texi: Copied changes from Emacs CVS.
	
2008-04-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.75 released.

2008-04-06  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff*.el: replace 3-argument 'require' statements with 1-argument
	ones (wrapped in if's). For compatibility with the current stable
	version of XEmacs.
	
2008-04-04  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff*el: replaced load with require in eval-when-compile.
	
	* ediff-hook: deleted all invocations of (autoload ...).
	
	* ediff-util.el (ediff-setup): make window-min-height a local variable
	in ediff control window, and set its min height to 2.
	(ediff-setup-control-buffer): dedicate the control window.
	(ediff-toggle-multiframe): undedicate control window.
	Work directly with ediff-setup-windows-multiframe and
	ediff-setup-windows-plain.
	
	* ediff-wind (ediff-choose-window-setup-function-automatically): new
	function.
	(ediff-window-setup-function): change initialization.
	(ediff-setup-windows-automatic): deleted.
	(ediff-setup-windows-plain-merge): make control window dedicated.
	(ediff-destroy-control-frame): do not skip frames if working in a
	single frame.
	
2008-01-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.74 released.

2008-01-10  Michael Kifer  <kifer@cs.stonybrook.edu>
	
		
	* ediff*.el: uncommented declare-function.
	
2008-01-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.73 released.

2008-01-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff*.el: many minor changes from the emacs tree.
	
	* ediff-util (eqiff-quit): autoraise minibuffer.
	
	* ediff-diff (ediff-convert-fine-diffs-to-overlays): make it a defin
	instead of defsubst.
	
2007-11-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.72 released.

2007-11-02  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-vers (ediff-vc-working-revision): add a quote.
	
2007-11-02  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-make-current-diff-overlay): do not use face-name.
	Got rid of ediff-copy-list.
	
	* ediff-diff.el (ediff-set-fine-diff-properties-in-one-buffer): do not
	use face-name.
	(ediff-test-utility,ediff-diff-mandatory-option)
	(ediff-reset-diff-options): removed to simplify the mandatory option
	handling on windows.
	(ediff-set-diff-options): added.
	(ediff-diff-options): changed.
	
	* ediff-vers.el (ediff-vc-internal): use ediff-vc-revision-other-window.
	(ediff-vc-merge-internal): use ediff-vc-revision-other-window and
	ediff-vc-working-revision.
	Require vc-hooks.
	
2007-08-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.71 released.

2007-08-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.70 released.

2007-08-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-make-temp-file): use the coding system of the
	buffer for which file is created.
	
2007-06-13  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-ptch.el (ediff-context-diff-label-regexp): partially undid
	previous patch
	
2007-06-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.69 released.
	
2007-06-12  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-ptch.el (ediff-context-diff-label-regexp): spurious
	parenthesis.
	
	* ediff-init.el: doc strings.
	
2007-06-12  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-mult.el
	(ediff-meta-buffer-brief-message,ediff-meta-buffer-verbose-message):
	new variables.
	(ediff-meta-buffer-message): variable deleted.
	(ediff-verbose-help-enabled): new variable.
	(ediff-toggle-verbose-help-meta-buffer): new function.
	(ediff-redraw-directory-group-buffer): made aware of short/verbose
	message options
	
	* ediff-ptch.el (ediff-context-diff-label-regexp): better regexp.
	(ediff-fixup-patch-map): improved heuristic.
	
2007-01-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.68 released.
	
2007-01-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-clone-buffer-for-region-comparison): change text
	of message. Activate mark.
	(ediff-activate-mark): set transient-mark-mode to t.
	
	* ediff.el (ediff-regions-wordwise,ediff-regions-linewise): changed
	docstrings.
	
2006-12-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.67 released.

2006-12-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-diff-options): clarify docstring.
	(ediff-setup-diff-regions): disallow -u in ediff-diff-options.
	
2006-11-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.66 released.

2006-11-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-exec-process, ediff-same-file-contents): remove
	condition-case.
	
2006-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.65 released.

2006-10-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-same-file-contents): expand file names.
	
	* ediff-mult.el (ediff-append-custom-diff): quote shell file arguments.
	
2006-09-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.64 released.

2006-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-add-to-history): new function.
	
	* ediff.el: use ediff-add-to-history instead of add-to-history.
	
2006-08-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.63 released.

2006-08-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-mult.el (ediff-intersect-directories,
	ediff-get-directory-files-under-revision, ediff-dir-diff-copy-file):
	always expand filenames.
	
2006-06-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff (ediff-test-patch-utility): catch errors.
	(ediff-actual-diff-options, ediff-actual-diff3-options): new variables.
	(ediff-set-actual-diff-options): new function.
	(ediff-reset-diff-options, ediff-toggle-ignore-case):
	use ediff-set-actual-diff-options.
	(ediff-extract-diffs): catch errors.
	(ediff-whitespace): add nonbreakable space.
	(ediff-same-file-contents): catch errors.
	
	* ediff-mult.el (ediff-collect-custom-diffs): save
	coding-system-for-read.
	
	* ediff-vers.el (ediff-keep-tmp-versions): new var.
	(ediff-vc-internal, ediff-vc-merge-internal): use
	ediff-delete-version-file.
	(ediff-delete-version-file): new function.
	
	* ediff-wind.el (ediff-control-frame-parameters): set frame fringes.
	
	* ediff.el (ediff-directories, ediff-directory-revisions,
	ediff-merge-directories, ediff-merge-directories-with-ancestor,
	ediff-directories-internal, ediff-merge-directory-revisions,
	ediff-merge-directory-revisions-with-ancestor,
	ediff-directories3): use read-directory-name.
	
2006-02-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.62 released.

2006-02-21  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-setup-diff-regions, ediff-setup-diff-regions3):
	fix the regular expressions.
	
2006-02-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.61 released.

2006-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-ignore-case, ediff-ignore-case-option,
	ediff-ignore-case-option3, ediff-actual-diff-options,
	ediff-actual-diff3-options): new variables to control case sensitivity.
	(ediff-make-diff2-buffer, ediff-setup-fine-diff-regions,
	ediff-setup-diff-regions3): made aware of case-sensitivity.
	(ediff-toggle-ignore-case): new function.
	(ediff-extract-diffs, ediff-extract-diffs3): preserve point in buffers.
	
	* ediff-help.el (ediff-long-help-message-narrow2,
	ediff-long-help-message-compare2, ediff-long-help-message-compare3,
	ediff-long-help-message-word-mode): add ignore-case command.
	(ediff-help-for-quick-help): add ignore-case command.
	
	* ediff-merg.el: move provide to the end.
	
	* ediff-ptch.el: move provide to the end.
	
	* ediff-wind.el: move provide to the end.
	
	* ediff-mult.el: move provide to the end.
	(ediff-set-meta-overlay): enable follow-link.
	
	* ediff.el: move provide to the end.
	Break recursive load cycle in eval-when-compile.
	(ediff-patch-buffer): better heuristics.
	
	* ediff-util.el: move provide to the end.
	Break recursive load cycle in eval-when-compile.
	(ediff-setup-keymap): add binding for #c. Replaced some defsubsts with
	defuns.
	(ediff-submit-report): pass the values of ediff-diff3-program,
	ediff-diff3-options.

2005-12-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.60 released.

2005-11-29  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-wind (ediff-setup-control-frame, ediff-make-wide-display):
	preserve user position.
	
2005-11-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.59 released.
	
2005-11-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-wind (ediff-make-wide-display): Slight simplification.
	
	* ediff.el (ediff-date): Changed the date of last update.
	
2005-11-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.58 released.
	
2005-11-15  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util (ediff-make-temp-file): use proper file-name-handler
	operation

2005-11-07  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.57 released.

2005-11-04  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-merge.el (ediff-merge-region-is-non-clash): return t, if not
	merging.
	
	* ediff-util.el (ediff-previous-difference): don't skip regions that
	have merge clashes.

2005-10-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.56 released.
	
2005-10-05  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-merge.el (ediff-merge-region-is-non-clash): new defsubst.
	(ediff-merge-region-is-non-clash-to-skip): previouslu called
	ediff-merge-region-is-non-clash.
	
	* ediff-mult.el (ediff-append-custom-diff,ediff-meta-show-patch): use
	insert-buffer-substring.
	
	* ediff-ptch.el (ediff-fixup-patch-map): use better heuristics for
	selecting files to patch. Also bug fixes.
	
	* ediff-util.el (ediff-setup): bug fix.
	(ediff-next-difference): Never skip clashes that differ in white space
	only.
	
	* ediff-wind.el (ediff-setup-control-frame,ediff-destroy-control-frame):
	check the menubar feature.
	
2005-09-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.55 released.

2005-09-20  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-ptch.el (ediff-file-name-sans-prefix): treat nil as an empty
	string.
	(ediff-fixup-patch-map): better heuristic for intuiting the file names
	to patch.
	(ediff-prompt-for-patch-file): more intuitive prompt.
	
	* ediff-util.el: use insert-buffer-substring.
	
	* ediff-vers.el (cvs-run-ediff-on-file-descriptor): bug fix.
	
2005-07-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.54 released.
	
2005-07-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff.el (ediff-patch-buffer): changed the docstring.
	
	* ediff-diff.el: add defvar for longlines-mode.
	
2005-07-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.53 released.

2005-07-10  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-extract-diffs,ediff-extract-diffs3):
	Make it work with longlines mode
	
	* ediff-mult.el (ediff-meta-mode-hook): new variable.
	
	* ediff-ptch.el (ediff-file-name-sans-prefix): quote regexp.
	
	* ediff-init: got rid of -face in face names.
	
2005-06-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.52 released.

2005-06-03  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-same-contents) Eliminate CL-type functions.
	Replace string-to-int with string-to-number.
	
	* ediff-mult.el (ediff-intersect-directories) Make sure that ".." and
	"." files are deleted from all file lists before comparison
	
2005-02-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.51 released.

2005-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff.el (ediff-set-diff-overlays-in-one-buffer,
	ediff-set-fine-overlays-in-one-buffer,ediff-goto-word) make sure
	we use the syntax table of the correct buffer.
	(ediff-same-file-contents,ediff-same-contents): enhancements thanks to
	Felix Gatzemeier.
	
	* ediff-init.el (ediff-hide-face): checks for definedness of functions.
	(ediff-file-remote-p): make synonymous with file-remote-p.
	In all deffaces ediff-*-face-*, use min-colors.
	
	* ediff-mult.el (ediff-meta-mark-equal-files): make use of
        ediff-recurse-to-subdirectories.
	(ediff-mark-if-equal): check that the arguments are strings, use
	ediff-same-contents (after to Felix Gatzemeier).
	
	* ediff.el (ediff-merge-on-startup): don't set buffer-modified-p to
	nil.
	
2004-02-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.50 released.

2004-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-toggle-read-only): Remove extra format
	string argument.
	(ediff-toggle-regexp-match): Likewise.
	Suggested by Andreas Schwab  <schwab@suse.de>
	* ediff-ptch.el (ediff-test-patch-utility):
	* ediff-diff.el (ediff-test-utility): Don't use = or zerop to
	test the return value of call-process, because it can be a string.
	By Jesper Harder  <harder@ifa.au.dk>
	
2004-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-util.el (ediff-compute-custom-diffs-maybe): Avoid creating
	temporary file for buffer already visiting one.  This change makes
	output likely to be directly usable by patch program.
	Suggested by Adrian Aichner  <adrian@xemacs.org>
	
2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.49 released.

2003-10-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2003-10-12  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-mult.el (ediff-filegroup-action): use
	ediff-default-filtering-regexp.
	
	* ediff-util.el (ediff-recenter): don't call
	ediff-restore-highlighting twice.
	(ediff-select-difference): set current difference.
	(ediff-unselect-and-select-difference): added comment.
	
	* ediff.el (ediff-directories,ediff-directory-revisions,
	ediff-directories3,ediff-merge-directories,
	ediff-merge-directories-with-ancestor,ediff-merge-directory-revisions,
	ediff-merge-directory-revisions-with-ancestor): use
	ediff-default-filtering-regexp.
	
2003-05-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.

2003-05-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-mult.el (ediff-default-filtering-regexp): new variable.
	
	* ediff-util.el (ediff-maybe-save-and-delete-merge): change in a
	message.
	
	* ediff.el (ediff-directories,ediff-directory-revisions,
	ediff-directories3,ediff-merge-directories,
	ediff-merge-directories-with-ancestor,ediff-merge-directory-revisions,
	ediff-merge-directory-revisions-with-ancestor): make use of the new
	ediff-default-filtering-regexp variable.
	
	* all files: eliminated trailing blanks in various lines.
	
2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2003-01-26  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.

2003-01-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
        * ediff.el (ediff-revision): better defaults.
	
	* ediff-vers.el (ediff-vc-latest-version): new function.
	(ediff-vc-internal): use latest version instead of working version.
	
2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-12-06  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2002-11-17  Michael Kifer  <kifer@cs.stonybrook.edu>

 	* ediff-diff.el (ediff-setup-diff-regions): change regexp.
	
	* ediff-mult.el: comments.
	
	* ediff.el: comments.
	
2002-10-29  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2002-10-27  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-wind.el (ediff-control-frame-parameters): added scrollbar-height.
	
2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-10-14  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2002-10-12  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-init.el (ediff-frame-char-height): use frame-selected-window.
	
	* ediff-util.el (ediff-file-checked-in-p): changed progn with and
	
	* ediff-wind.el (ediff-skip-unsuitable-frames): distinguish selected
	frame from frame of selected window
	(ediff-frame-has-dedicated-windows): don't select any frames to avoid
	changing selected windows
	(ediff-setup-control-frame): make sure auto-rase is properly set for
	the control frame
	
2002-09-25  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2002-09-23  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-init.el (ediff-get-next-window): bug fix.
	
	* ediff-hook.el (ediff-cond-compile-for-xemacs-or-emacs): Put the
	definition straight into loaddefs.el as well as executing it here
	(by RMS)
	
2002-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-hooks.el: Put back the autoloads (for compatibility with XEmacs).
	
	* ediff-init.el: Use defalias instead of fset.
	
	* ediff-util.el: Use defalias instead of fset.
	
	* ediff-ptch.el (ediff-test-patch-utility): catch errors
	
	* ediff-wind.el (ediff-window-setup-function): better choices
	
	* ediff-backup.el (ediff-backup): new function
	
	* ediff.texi: typo
	
2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-04-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2002-04-25  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-hooks.el: Put back the autoloads.
	
2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2002-04-16  Michael Kifer  <kifer@cs.stonybrook.edu>
	
        * ediff-init.el: better defaults for all faces -- thanks to Eli
	Zaretskii.
	
	* ediff-util.el (ediff-cleanup-mess): delete ctl window on exit
	when the window is not in its own frame.
	(ediff-clone-buffer-for-region-comparison): more robust window
	arrangement while prompting for regions to compare.
	(ediff-make-cloned-buffer): use generate-new-buffer-name.
	(ediff-inferior-compare-regions): deleted unused vars
	ctl-buf and quit-now.
	
2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.39 released.

2002-03-20  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-diff.el (ediff-install-fine-diff-if-necessary): take
	the current highlighting style into account.
	(ediff-forward-word-function,ediff-whitespace,ediff-word-1,
	ediff-word-2,ediff-word-3,ediff-word-4): make them buffer local.
	
	* ediff-init.el (ediff-patch-job): new macro.
	
	* ediff-mult.el (ediff-make-new-meta-list-header): new API function.
	(ediff-intersect-directories): use ediff-make-new-meta-list-header.
	
	* ediff-ptch.el (ediff-map-patch-buffer): use
	ediff-make-new-meta-list-header.
	(ediff-fixup-patch-map): use the meta-list API from ediff-mult.el.
	
	* ediff-util.el (ediff-toggle-hilit): fix toggling of highliting.
	(ediff-select-difference): take highlighting style into account.
	(ediff-clone-buffer-for-region-comparison): new function.
	(ediff-inferior-compare-regions): added comparison of current diff
	regions.
	
	* ediff.el (ediff-clone-buffer-for-region-comparison,
	ediff-clone-buffer-for-window-comparison): moved to ediff-util.el.
	
2002-03-05  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-init.el: comments.
	
	* ediff-hook.el: Got rid of autoloads. Not needed, since the hook
	is loaded.
	
	* ediff-mult.el (ediff-intersect-directories,
	ediff-prepare-meta-buffer,ediff-get-directory-files-under-revision):
	cleanup.
	(ediff-draw-dir-diffs): now supports the "C" command in directory
	difference buffer.
	(ediff-dir-diff-copy-file): new function that implements copying
	of files from one Ediff dir to another
	(ediff-bury-dir-diffs-buffer): kills the buffer instead.
	(ediff-append-custom-diff): better error msgs.
	
	* ediff-util.el (ediff-compute-custom-diffs-maybe): buglet fix.
	(ediff-inferior-compare-regions): Use
	ediff-clone-buffer-for-region-comparison. Better and simpler interface.
	
	* ediff.el (ediff-directories-internal): Cleanup.
	(ediff-clone-buffer-for-region-comparison): Better interface.
	
2002-02-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
        * ediff-init.el (ediff-has-gutter-support): Steven Turnbull's patch.
	
	* ediff-wind.el (ediff-setup-control-frame): Use
	ediff-has-gutter-support.
	
2002-02-09  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-util.el (ediff-dispose-of-variant-according-to-user):
	check if buff is alive.
	
	* ediff.el: typo in comment.
	
2002-01-08  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-hook.el: added autoload cookie
	
2002-01-07  Michael Kifer  <kifer@cs.stonybrook.edu>
	
	* ediff-help.el: use ediff-cond-compile-for-xemacs-or-emacs.
	
	* ediff-hook.el: use ediff-cond-compile-for-xemacs-or-emacs.
	
	* ediff-init.el (ediff-cond-compile-for-xemacs-or-emacs): new
	macro designed to be used in many places where ediff-emacs-p or
	ediff-xemacs-p was previously used. Reduces the number of
	warnings.
	Use ediff-cond-compile-for-xemacs-or-emacs in many places in lieue
	of ediff-xemacs-p.
	(ediff-make-current-diff-overlay, ediff-highlight-diff-in-one-buffer,
	ediff-convert-fine-diffs-to-overlays, ediff-empty-diff-region-p,
	ediff-whitespace-diff-region-p, ediff-get-region-contents):
	moved to ediff-util.el.
	(ediff-event-key): moved here.
	
	* ediff-merge.el: got rid of unreferenced variables.
	
	* ediff-mult.el: use ediff-cond-compile-for-xemacs-or-emacs.
	
	* ediff-util.el: use ediff-cond-compile-for-xemacs-or-emacs.
	(ediff-cleanup-mess): improved the way windows are set up after
	quitting ediff.
	(ediff-janitor): use ediff-dispose-of-variant-according-to-user.
	(ediff-dispose-of-variant-according-to-user): new function
	designed to be smarter and also understands indirect buffers.
	(ediff-highlight-diff-in-one-buffer,
	ediff-unhighlight-diff-in-one-buffer,
	ediff-unhighlight-diffs-totally-in-one-buffer,
	ediff-highlight-diff, ediff-highlight-diff,
	ediff-unhighlight-diff, ediff-unhighlight-diffs-totally,
	ediff-empty-diff-region-p, ediff-whitespace-diff-region-p,
	ediff-get-region-contents, ediff-make-current-diff-overlay):
	moved here.
	(ediff-format-bindings-of): new function by Hannu Koivisto
	<azure@iki.fi>.
	(ediff-setup): make sure the merge buffer is always widened and
	modifiable.
	(ediff-write-merge-buffer-and-maybe-kill): refuse to write the
	result of a merge into a file visited by another buffer.
	(ediff-arrange-autosave-in-merge-jobs): check if the merge file
	is visited by another buffer and ask to save/delete that buffer.
	(ediff-verify-file-merge-buffer): new function to do the above.
	
	* ediff-vers.el: load ediff-init.el at compile time.
	
	* ediff-wind.el: use ediff-cond-compile-for-xemacs-or-emacs.
	
	* ediff.el (ediff-windows, ediff-regions-wordwise,
	ediff-regions-linewise): use indirect buffers to improve
	robustness and make it possible to compare regions of the same
	buffer (even overlapping regions).
	(ediff-clone-buffer-for-region-comparison,
	ediff-clone-buffer-for-window-comparison): new functions.
	(ediff-files-internal): refuse to compare identical files.
	(ediff-regions-internal): get rid of the warning about comparing
	regions of the same buffer.
	
	* ediff-diff.el (ediff-convert-fine-diffs-to-overlays): moved here.
	Plus the following fixes courtesy of Dave Love:
	Doc fixes.
	(ediff-word-1): Use word class and move - to the
	front per regexp documentation.
	(ediff-wordify): Bind forward-word-function outside loop.
	(ediff-copy-to-buffer): Use insert-buffer-substring rather than
	consing buffer contents.
	(ediff-goto-word): Move syntax table setting outside loop.
	
2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-12-30  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.
	
2001-12-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-mult.el (ediff-meta-mark-equal-files): Added optional
	action argument.
	
	* ediff-init.el: Fixed some doc strings.
	
	* ediff-util.el (ediff-after-quit-hook-internal): New variable.
	Got rid of make-local-hook.
	
	* ediff-wind.el (ediff-setup-control-frame): Got rid of
	make-local-hook.
	
2001-09-27  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-mult.el (ediff-get-meta-info): Installed Gerd's changes.
	Added comments.
	
2001-09-09  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-init.el (ediff-highest-priority): bug fix.
	
	* ediff-mult.el (ediff-get-meta-info): replace and with or.
	
2001-07-21  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-util.el
	(ediff-file-checked-out-p,ediff-file-checked-in-p): check if 
	vc-state is available.
	(ediff-make-temp-file): use ediff-coding-system-for-write.
	
	* ediff-init.el (ediff-coding-system-for-read): from ediff-diff.el
	(ediff-coding-system-for-write): new variable.
	(ediff-highest-priority): fixed the bug having to do with disappearing
	overlays.
	(ediff-file-remote-p): use file-remote-p, if available.
	(ediff-listable-file): new function.
	(ediff-file-attributes): use ediff-listable-file.
	
	* ediff-mult.el (ediff-meta-insert-file-info1): use
	ediff-listable-file.
	
	* ediff-ptch.el (ediff-prompt-for-patch-file): use
	ediff-coding-system-for-read.
	(ediff-patch-file-internal): use ediff-coding-system-for-write.
	
	* ediff-diff.el (ediff-coding-system-for-read): moved to ediff-init.el.
	(ediff-match-diff3-line,ediff-get-diff3-group): improved pattern.
	
	* ediff.texi: added clarifications, acknowledgements.
	
2001-04-08  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQUIRES): Add prog-modes because diff-mode.el
	has moved there.

2001-03-17  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-util.el: Copyright years.
	(ediff-choose-syntax-table): New function.
	(ediff-setup): Use ediff-choose-syntax-table.
	
	* ediff-init.el (ediff-with-syntax-table): New macro, uses
	with-syntax-table.
	
	* ediff.el: Date of last update, copyright years.
	
	* ediff-wind (ediff-setup-control-frame): Nill->nil.
	
2001-02-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff.texi: Fixed some typos
	
2001-02-12  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-diff.el (ediff-make-diff2-buffer): Removed bogus checks
	for remote files.
	(ediff-coding-system-for-read): replaced the no-conversion default
	with raw-text.
	
	* ediff-init.el: Removed :version from defcustom vars.
	
	* ediff-util.el (ediff-compute-custom-diffs-maybe): Better
	handling of the diff mode
	
	* ediff.texi: Added ediff-coding-system-for-read.
	
2001-01-19  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff.el (ediff-patch-file): use better defaults.
	
	* ediff-vers.el: fix for 8+3 DOS file systems
	
	* ediff.texi: add credits.
	
2001-01-19  Colin Walters <walters@cis.ohio-state.edu>
	
	* ediff-util.el (ediff-compare-custom-diffs-maybe): put diff in
	diff mode, if available.
	
2001-01-19  Vin Shelton <acs@xemacs.org>
	
	* ediff-hook.el (ediff-xemacs-init-menus): fixed add-menu-button
	
2001-01-19  Steve Youngs  <youngs@xemacs.org>

	* ediff-init.el (subst-char-in-string): Define and use it, unless
	it's already defined.

2001-01-17  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile:  Add edebug to REQUIRES (for def-edebug-spec).
	
2000-12-25  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-init.el (ediff-quit-hook,ediff-suspend-hook): changed
	initialization; use add-hook.
	(ediff-file-remote-p): use file-local-copy.
	
	* ediff-ptch.el (ediff-prompt-for-patch-buffer): improved defaults.
	
	* ediff.el (ediff-patch-buffer): bug fix.
	(ediff-revision): allow selection of the file at the prompt.
	
2000-11-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-diff.el: Moved variables around to have it compile under NT.
	
	* ediff-help.el (ediff-use-long-help-message): made it customizable.
	
	* ediff-init.el (ediff-abbrev-jobname): use capitalize.
	
	* ediff-wind.el (ediff-skip-unsuitable-frames): deleted the
	redundant skip-small-frames test.
	
2000-10-29  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-wind.el (ediff-setup-control-frame): enclose
	face-attribute in condition-case to avoid errors in older emacsen.
	
2000-10-29  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-init.el (ediff-before-setup-hook): new hook.
	Several typos fixed in various docstrings.
	* ediff-merg.el (ediff-show-clashes-only): docstring typo fixed.
	* ediff-nult.el (ediff-before-session-group-setup-hooks): new
	hook.
	(ediff-show-meta-buffer): run ediff-before-session-group-setup-hooks.
	* ediff-util.el (ediff-setup): run ediff-before-setup-hook.
	(ediff-other-buffer): use selected buffers if in Buffer-menu buffer.
	(ediff-get-selected-buffers): new function.
	* ediff-vers.el (ediff-vc-internal,ediff-rcs-internal,
	ediff-vc-merge-internal,ediff-rcs-merge-internal): use
	save-window-excursion.
	* ediff-wind.el (ediff-skip-unsuitable-frames): more robust
	termination check in while loop.
	* ediff.el (ediff-get-default-file-name): better defaults when in
	dired buffer.
	(ediff-files,ediff-merge-files,ediff-files3,
	ediff-merge-files-with-ancestor): use ediff-get-default-file-name.
	
2000-07-05  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-diff.el (ediff-wordify): use syntax table.
	* ediff-init.el (ediff-has-face-support-p): use
	ediff-color-display-p.
	(ediff-color-display-p): use display-color-p, changed to defun
	from defsubst.
	Got rid of special cases for NeXT and OS/2.
	* ediff-wind.el (ediff-setup-control-frame): set proper modeline
	face.
	
2000-06-05  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-init.el (ediff-has-face-support-p): make it paint faces on
	tty's.
	* ediff-diff.el (ediff-exec-process): use --binary for fine
	differences whenever apropriate.
	
2000-05-25  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-diff.el (ediff-exec-process): delete --binary option from
	non-buffer ediff jobs.
	
2000-05-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff-diff.el (ediff-forward-word): take syntactic word class into
	account.
	(ediff-test-utility,ediff-diff-mandatory-option,
	ediff-reset-diff-options): utilities for proper initialization of
	ediff-diff-options and ediff-diff3-options on Windows.
	
	* ediff-init.el (ediff-merge-filename-prefix): new customizable
	variable.
	
	* ediff-mult.el (ediff-filegroup-action): use
	ediff-merge-filename-prefix.
	
2000-2-28  Michael Kifer  <kifer@cs.sunysb.edu>
	* ediff-wind.el: minor comment changes.
	* ediff.el: copyright notice date fix.
	
1999-12-15  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* ediff-help.el (ediff-customize): Add autoload cookie.

1999-11-24  Michael Kifer  <kifer@cs.sunysb.edu>
	
	* ediff*el: replaced old-style backquotes.
	
	* ediff-merge
	(ediff-looks-like-combined-merge,ediff-get-combined-region):
	changed to support the new format for ediff-combination-pattern.
	
	* ediff-diff (ediff-set-fine-overlays-in-one-buffer):
	changed to support the new format for ediff-combination-pattern.
	
	* ediff.texi: Describe the new format for
	ediff-combination-pattern.
		
1999-11-01  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff-diff.el (ediff-cmp-options): new var.
	(ediff-same-file-contents): use ediff-cmp-options.
	
	* ediff-ptch.el (ediff-prompt-for-patch-buffer,
	ediff-get-patch-buffer): use current buffer if it appears to be a
	patch.
	
	* ediff-util.el (ediff-file-checked-in-p): don't consider CVS
	files checked in.
	(ediff-make-temp-file,ediff-make-empty-tmp-file):  Make sure you
	are writing to a newly created empty file.
	
	* ediff.texi: minor improvements.
	
1999-08-18  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff-init.el (ediff-temp-file-prefix): better initialization
	
	* eviff-vers.el (ediff-vc-merge-internal): small buglet fix
	
	* ediff.el: comment change
	
1999-05-27  SL Baur  <steve@xemacs.org>

	* Makefile: bump version number.

1999-05-16  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff.el, ediff-util.el: Enable ediff-merge-directories-* to be
	called with a parameter that specifies the directory where the
	merged files are to be saved.
	
1999-04-06  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* ediff.texi: Add comma to satisfy texinfo 3.12f+'s grammar
	checker.

1999-03-03  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff-mult.el (ediff-get-directory-files-under-revision): Use
	absolute file names.
	
1999-03-03  Adrian Aichner  <aichner@ecf.teradyne.com>

        * ediff-init.el (stipple-pixmap): Locate "stipple" library in
        x-bitmap-file-path if bound, else try to locate it in
        mswindows-bitmap-file-path, if bound.
	
1999-02-16  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff-help.el (ediff-customize): new command.
	
	* ediff-hooks.el: added menu item for customizing ediff.
	
1999-02-06  SL Baur  <steve@xemacs.org>

	* ediff-init.el (stipple-pixmap): Move x bitmap dependency to
	runtime.

1999-01-18  Michael Kifer  <kifer@cs.sunysb.edu> 
	
	* ediff-patch.el: (ediff-patch-buffer-internal): changed message.
	
1998-12-09  SL Baur  <steve@altair.xemacs.org>

	* ediff-tbar.el (ediff-toolbar-icon-directory): Don't assume there 
	is always toolbar support.

1998-10-8  Michael Kifer  <kifer@cs.sunysb.edu> 
 
        * ediff-util.el (ediff-cleanup-mess): fixed the case of dead windows. 
        make sure you are in a good frame before deleting other 
        windows. 
 
        * ediff-mult.el (ediff-show-session-group-hook): new default. 
 
        * ediff-vers.el (ediff-pcl-cvs-view-revision): 
        first cd to the file directory. reportedly works 
        better with remote files. 
 
        * ediff-vers.el (ediff-pcl-cvs-internal, ediff-pcl-cvs-merge-internal):
        use file-name-nondirectory when passing files to CVS. 
	
1998-07-20  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-help.el (ediff-long-help-message-merge): default changed.

	* ediff-util.el (ediff-status-info): updated.
	(ediff-toggle-skip-changed-regions): new function.
	(ediff-next-difference, ediff-previous-difference):
	now skips white space correctly in the merge mode.
	(ediff-write-merge-buffer-and-maybe-kill,
	ediff-maybe-save-and-delete-merge): changed to give more options to
	the user. 
	(ediff-other-buffer): no longer skips mail buffers.

	* ediff-merg.el (ediff-skip-merge-regions-that-differ-from-default):
	new variable.
	(ediff-skip-merge-region-if-changed-from-default-p,
	ediff-merge-changed-from-default-p): new functions.

	* ediff-wind.el (ediff-control-frame-parameters):
	improved, to reduce distraction.
	(ediff-skip-unsuitable-frames): make it skip small windows. 

	* ediff-diff.el, ediff-init.el: Improved comments.

	* ediff-mult.el (ediff-hide-marked-sessions):
	make it redraw the meta buffer.
	(ediff-collect-custom-diffs): make the diff buffer read-only, not
	modified. 
	(ediff-mark-for-hiding, ediff-mark-for-operation): renamed to *-at-pos.
	(ediff-mark-session-for-hiding, ediff-mark-session-for-operation,
	ediff-unmark-all-for-operation, ediff-unmark-all-for-hiding): new
	functions. 
	(ediff-setup-meta-map): changed bindings.

	* ediff.el, ediff-init.el, ediff-ptch.el, ediff-help.el,
	ediff-diff.el, ediff-tbar.el, ediff-wind.el, ediff-mult.el: Removed
	function quotes around lambdas. 
	
	* ediff.texi: add section about $*.

	
1998-04-27  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el: removed.

1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* ediff-tbar.el (ediff-toolbar-icon-directory): New variable.
	(ediff-toolbar-next-icon): Use it.
	(ediff-toolbar-previous-icon): Ditto.
	(ediff-toolbar-A-icon): Ditto.
	(ediff-toolbar-B-icon): Ditto.
	(ediff-toolbar-toggle-split-icon): Ditto.
	(ediff-toolbar-save-icon): Ditto.
	(ediff-toolbar-quit-icon): Ditto.
	(ediff-toolbar-help-icon): Ditto.
	(ediff-toolbar-refresh-icon): Ditto.
	(ediff-toolbar-refine-icon): Ditto.

	* ediff.texi: Add direntry section for automated installation.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-25  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
